Subject: Re: linux-next: wireless tree build failure

From: Johannes Berg <[email-masked]>
Date: Wed, 22 Apr 2009 15:33:11 +0200

On Wed, 2009-04-22 at 09:06 -0400, John W. Linville wrote:
> On Wed, Apr 22, 2009 at 11:03:33PM +1000, Stephen Rothwell wrote:

> > On Wed, 22 Apr 2009 10:59:06 +0200 Johannes Berg <[email-masked]> wrote:
> > >
> > > Fun. Another rfkill problem. It'll get worse -- I have a complete rfkill
> > > rewrite in the pipeline. For this part it's easy, just remove
> > > user_claim_unsupported use from the driver.
> > > 
> > > Any suggestions on how to handle the other merge problems?
> > 
> > Well, the best way (and I know this is simplistic and maybe difficult) is
> > to introduce the new rewrite alongside the old code and then slowly move
> > the clients of the API over.
> 
> Maybe we should put user_claim_unsupported back into struct rfkill
> (and deprecate it) for now?

Sure, we can add the member in the struct back, and just never look at
it since we've removed user claiming anyway.

But that's not the interesting part -- the thing is the rfkill rewrite.
I don't know how to handle that w/o breaking all users. I had hoped to
finish this very soon to be ready early in .31, but I'm still waiting
for Thinkpad and Toshiba conversions (and I forgot who wanted to look at
Toshiba), but if new users are being added in other trees then that's a
problem.

johannes